Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

List subscription ramps

Lists the subscription ramps that match the criteria provided in the filter parameters.

Note By default, the ramps are returned sorted in descending order (latest first) by updated_at.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/ramps

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

include_deleted
optional, boolean, default=false

Specifies whether to include deleted resources in the response. Deleted resources are those with the deleted attribute set to true.

Caution status or effective_from filters must not be passed when include_deleted is set to true.

.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : effective_from, created_at, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "effective_from"

This will sort the result based on the 'effective_from' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
status[<operator>]

optional, enumerated string filter

Filter subscription ramps based on status .

Possible values are : scheduled, succeeded, failed.

Supported operators : is, in

Example → status[is] = "SCHEDULED"

Supported operators: is, in
Example → SCHEDULED
subscription_id[<operator>]

optional, string filter

Filter subscription ramps based on subscription_id .

Supported operators : is, in

Example → subscription_id[is] = "8gsnbYfsMLds"

Supported operators: is, in
Example → 8gsnbYfsMLds
effective_from[<operator>]

optional, timestamp(UTC) in seconds filter

Filter subscription ramps based on effective_from.

Supported operators : after, before, on, between

Example → effective_from[after] = "1435054328"

Supported operators: after, before, on, between
Example → 1435054328
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Filter subscription ramps based on updated_at .

Tip Specify sort_by = updated_at (whether asc oor desc) for a faster response when using this filter.

Supported operators : after, before, on, between

Example → updated_at[after] = "1435052328"

Supported operators: after, before, on, between
Example → 1435052328

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Ramp object
Resource object representing ramp